// campsite-search.js

function searchCampsites() {
    const campsites = [
        { name: "Campsite A", location: "National Park", facilities: "Restrooms, Water", terrain: "Forest", activities: "Hiking, Bird Watching" },
        { name: "Campsite B", location: "Mountain Range", facilities: "Restrooms, Campfire Rings", terrain: "Mountain", activities: "Hiking, Fishing" },
        { name: "Campsite C", location: "Lakefront", facilities: "Restrooms, Showers", terrain: "Lake", activities: "Boating, Swimming" }
        // Add more campsites as needed
    ];

    const locationInput = document.getElementById("locationInput").value.toLowerCase();
    const resultsContainer = document.getElementById("results");

    // Filter campsites based on the entered location
    const filteredCampsites = campsites.filter(campsite =>
        campsite.location.toLowerCase().includes(locationInput)
    );

    // Display the results
    resultsContainer.innerHTML = "<h2>Search Results:</h2>";
    if (filteredCampsites.length === 0) {
        resultsContainer.innerHTML += "<p>No campsites found in the specified location.</p>";
    } else {
        filteredCampsites.forEach(campsite => {
            resultsContainer.innerHTML += `
                <div>
                    <h3>${campsite.name}</h3>
                    <p><strong>Location:</strong> ${campsite.location}</p>
                    <p><strong>Facilities:</strong> ${campsite.facilities}</p>
                    <p><strong>Terrain:</strong> ${campsite.terrain}</p>
                    <p><strong>Activities:</strong> ${campsite.activities}</p>
                </div>
            `;
        });
    }
}